For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Identity
Logo
Log inBook a demo
API ReferenceIdentity

Get Identity

GET
https://app.polytomic.com/api/me
GET
/api/me
$curl https://app.polytomic.com/api/me
1{
2 "data": {
3 "email": "mail@example.com",
4 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
5 "is_organization": false,
6 "is_partner": false,
7 "is_system": false,
8 "is_user": true,
9 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
10 "organization_name": "My Organization",
11 "role": "admin"
12 }
13}
Returns information about the authenticated caller and, if applicable, the organization they are scoped to. Use this endpoint to confirm which kind of credential is being used before calling endpoints with stricter authorization rules. For user-scoped credentials, the response includes the resolved user and organization details. For non-user keys, the response identifies the key class with the corresponding boolean flags instead of impersonating a user. This endpoint is especially useful when debugging why a request is being accepted or rejected by endpoints that are limited to particular caller types.
Was this page helpful?
Previous

Get Current Organization

Next

Returns information about the authenticated caller and, if applicable, the organization they are scoped to.

Use this endpoint to confirm which kind of credential is being used before calling endpoints with stricter authorization rules.

For user-scoped credentials, the response includes the resolved user and organization details. For non-user keys, the response identifies the key class with the corresponding boolean flags instead of impersonating a user.

This endpoint is especially useful when debugging why a request is being accepted or rejected by endpoints that are limited to particular caller types.

Headers

X-Polytomic-VersionstringOptional

Response

OK
dataobject

Errors

401
Unauthorized Error
500
Internal Server Error